import React from 'react';

class ClickCounter extends React.Component {
    constructor(props) {
        super(props);
        this.state = { count: 0 };
    }
    render() {
        return <>
            <span>Button clicked {this.state.count} times!</span>
            <button onClick={this.handleClick} >Click Me</button>
            <button onClick={this.resetCounter}>Reset Counter</button>
        </>;
    }
    resetCounter = () => {
        this.setState({ count: 0 });
    }
    handleClick = () => {
        this.setState((state, props) => ({ count: state.count + 1 }));
    }
}
export default ClickCounter;